module DarcsDen.Github.Paths where

import Data.Maybe (fromJust)
import Network.HTTP.Conduit (parseUrl, Request)

githubPath, githubApiPath :: String

githubPath = "https://github.com/"
githubApiPath = "https://api.github.com/"

githubAccessRequest, githubAccessTokenRequest, githubAuthUserRequest, githubEmailRequest, githubKeysRequest :: Request m

githubAccessRequest = fromJust . parseUrl $ githubPath ++ "login/oauth/authorize"
githubAccessTokenRequest = fromJust . parseUrl $ githubPath ++ "login/oauth/access_token"
githubAuthUserRequest = fromJust . parseUrl $ githubApiPath ++ "user"
githubEmailRequest = fromJust. parseUrl $ githubApiPath ++ "user/emails"
githubKeysRequest = fromJust . parseUrl $ githubApiPath ++ "user/keys"
